Skip to Content

Delete a journey

Deletes a journey that was never published or is archived, with its versions and runs. An active or paused journey returns 409; archive it first.

DELETE
/v1/journeys/{id}

Deletes a journey that was never published or is archived, with its versions and runs. An active or paused journey returns 409; archive it first.

Authorization

apiKey
headerx-api-key<token>

Path Parameters

id*string
Match^jrny_[0-9a-hjkmnp-tv-z]{16,24}$

Response Body

DeleteJourneyResponse

application/json
  1. response
id*JourneyId
Match^jrny_[0-9a-hjkmnp-tv-z]{16,24}$
deleted*true
Value intrue
Example Request
import { createClient } from "samva";

const samva = createClient({ apiKey: process.env.SAMVA_API_KEY! });

const result = await samva.journeys.remove({
  "id": "example"
});
Example Response
{
  "id": "string",
  "deleted": true
}

Related documentation